Cumulus TalosDocs
Open Talos
On this page

knowledge.configure

Choose the embedding model for knowledge

Request

PUT /api/v1/knowledge

  • MCP: knowledge_configure
  • SDK: client.knowledge.configure (SDK path arguments use path; MCP uses params).
  • Minimum API key role: admin.
  • Idempotency: natural.

Use the request schema below. Read IDs from earlier operation results.

Input schema

json
{
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/KnowledgeConfigureRequest"
        }
      }
    }
  }
}

Responses

json
{
  "200": {
    "description": "Choose the embedding model for knowledge",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/KnowledgeStatus"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}

Referenced schemas

json
{
  "components": {
    "schemas": {
      "KnowledgeConfigureRequest": {
        "type": "object",
        "properties": {
          "model_identity": {
            "$ref": "#/components/schemas/ModelIdentity"
          }
        },
        "required": [
          "model_identity"
        ],
        "additionalProperties": false
      },
      "ModelIdentity": {
        "type": "object",
        "properties": {
          "model_id": {
            "type": "string",
            "minLength": 1,
            "pattern": "\\S"
          },
          "provider": {
            "type": "string",
            "minLength": 1,
            "pattern": "\\S"
          },
          "tier": {
            "type": "string",
            "enum": [
              "frontier",
              "cumulus-served",
              "customer-gpu"
            ]
          }
        },
        "required": [
          "model_id",
          "provider",
          "tier"
        ],
        "additionalProperties": false
      },
      "KnowledgeStatus": {
        "type": "object",
        "properties": {
          "configured": {
            "type": "boolean"
          },
          "model_identity": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ModelIdentity"
              }
            ],
            "nullable": true
          },
          "dimension": {
            "type": "integer",
            "exclusiveMinimum": true,
            "minimum": 0,
            "nullable": true
          },
          "generation": {
            "type": "object",
            "properties": {
              "generation_id": {
                "type": "string",
                "format": "uuid"
              },
              "state": {
                "type": "string",
                "enum": [
                  "building",
                  "ready",
                  "failed"
                ]
              },
              "document_count": {
                "type": "integer",
                "minimum": 0
              },
              "created_at": {
                "type": "string",
                "format": "date-time"
              }
            },
            "required": [
              "generation_id",
              "state",
              "document_count",
              "created_at"
            ],
            "additionalProperties": false,
            "nullable": true
          },
          "pending_documents": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "configured",
          "model_identity",
          "dimension",
          "generation",
          "pending_documents"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}

Errors and recovery

See API error handling and Troubleshooting.

Content version 2ba656e1Markdown source
knowledge.configure · Cumulus Talos docs